*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
    height: 100%;
    width: 100%;
}
.conatiner{
    width: 77vw;
    padding:2rem 1rem;
    margin: 0 auto;
    /* background-color: aqua; */
}
a{
    text-decoration: none;
}
.header_container{
    margin-bottom: 2.8rem;

}
.header_title{
    margin-bottom: 1rem;
    font-size: 1.8rem;
    line-height: 2rem;
    font-weight: 700;
    text-align: center;
}
.header_desc{
    max-width: 568px;
    text-align: center;
    color: rgb(104, 99, 99);
    margin: 0 auto;
}
.MainContainer{
    display: grid;
    gap: 1.5rem;
    /* grid-template-columns: repeat(1,1fr); */
    justify-content: center;
    grid-template-columns: repeat(auto-fit,minmax(350px,400px));
    /* grid-template-columns: repeat(auto-fill,minmax(350px,400px)); */
}
/* @media (min-width:700px){
    .MainContainer{
        grid-template-columns: repeat(2,1fr);
    }
}
@media (min-width:1080px){
    .MainContainer{
        grid-template-columns: repeat(3,1fr);
    }
}
@media (min-width:1430px){
    .MainContainer{
        grid-template-columns: repeat(4,1fr);
    }
} */

.cardcontainer{
    overflow: hidden;
    display: flex;
    flex-direction: column;
    border: 1px solid rgb(240, 234, 234);
    border-radius: 6px;
}
.card_image_container{
    position: relative;
    overflow: hidden;
    height: 11rem;
}
@media (min-width:768px){
    .card_image_container{
        height: 16rem;
    }
}
.card_image{
    object-fit: cover;
    object-position: center;
    position: absolute;
    height: 100%;
    width: 100% ;
}
.card_title_container{
    display: flex;
    flex-direction: column;
    padding: 1.5rem;

}
.cardcontainer:hover .card_image{
    transform: scale(1.1);
    transition-duration: 200ms;
}
.card_title{
    font-size: 1rem;
    font-weight: 600;
    color: rgb(36, 35, 35);
    line-height: 1.5rem;
    margin-bottom: 0.34rem;
}
.card_title_anchor:hover .card_title{
    color: rgb(89, 89, 218);
}
.card_description{
    color: rgb(87, 85, 85);
    font-size: 1rem;
}
.card_footer_container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 1rem;
    padding-bottom: 1.5rem;
}
.autor_container{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 1rem;
}
.author_avatar_container{
    height: 2.5rem;
    width: 2.5rem;
    overflow: hidden;
    border: 1px solid rgb(60, 60, 60);
    border-radius: 50%;
    background-color: rgb(228, 228, 228);
}
.author_info_container{
    display: flex;
    flex-direction: column;
}
.author_info_container span:nth-child(1){
    color: rgb(65, 65, 241);
    font-size: 0.9rem;
    /* padding-left: 0.5rem;
    padding-right: 0.5rem; */
}
.author_info_container span:nth-child(2){
    color:rgb(121, 120, 120);
    font-size: 0.7rem;
    /* padding-left: 0.5rem;
    padding-right: 0.5rem; */
} 
.card_tag_container{
    font-size: 0.9rem;
    border: 1px solid rgb(50, 50, 50);
    border-radius: 2px;
    line-height: 1.1rem;
    padding: 0.25rem;
    color: gray;
}
